%define major 15
%define localstatedir %{_localstatedir}/lib
%define lib_name %mklibname gnomeprint %{major}

Summary: Printing libraries for GNOME
Name: gnome-print
Version: 0.37
Release:  %mkrel 10
License: LGPL
Group: System/Libraries
BuildRequires: gdk-pixbuf-devel gnome-libs-devel libxml-devel freetype2-devel
BuildRequires: autoconf2.1
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-print/%{version}/%{name}-%{version}.tar.bz2
# (fc) 0.36-2mdk don't add -L/usr/lib to ldflags
Patch0: gnome-print-0.36-libdir.patch.bz2
# (fc) 0.36-3mdk hack to undef VERSION in file where it's used as an enum value (rawhide)
Patch1: gnome-print-0.34.90-version.patch.bz2
# (fc) 0.36-3mdk fallback font for Korean (rawhide)
Patch2: gnome-print-0.35-kofont.patch.bz2
# (fc) improve performance for printing
Patch3: gnome-print-0.37-perfprint.patch.bz2
#gw build against new freetype2 api
Patch4: gnome-print-0.37-freetype.patch.bz2
Url: http://www.gnome.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
PreReq:	urw-fonts
PreReq:	ghostscript-fonts

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window manager
for the X Window System. GNOME is similar in purpose and scope to CDE and KDE,
but GNOME is based completely on free software. The gnome-print package
contains libraries and fonts that are needed by GNOME applications wanting to
print.

You should install the gnome-print package if you intend on using any of the
GNOME applications that can print. If you would like to develop GNOME
applications that can print you will also need to install the gnome-print devel
package.

%package -n %{lib_name}
Summary:        Libraries for Gnome-Print
Group:          System/Libraries
Requires:		%{name} >= %{version}-%{release}

%description -n %{lib_name}
This package provides libraries to use Gnome-Print.


%package -n %{lib_name}-devel
Summary: Libraries and include files for developing GNOME applications
Group: Development/C
Requires: %{name} = %{version}
Requires: %{lib_name} = %{version}
Provides: %{name}-devel
Provides: libgnomeprint-devel = %{version}-%{release}
Obsoletes: %{name}-devel
Requires: gnome-libs-devel libxml-devel gdk-pixbuf-devel

%description -n %{lib_name}-devel
You should install the libgnomeprint-devel package if you would like to develop
GNOME applications that will use the GNOME printing facilities. You don't need
to install the libgnomeprint-devel package if you just want to use the GNOME
desktop environment.



%prep
%setup -q
%patch0 -p1 -b .libdir
%patch1 -p1 -b .version
%patch2 -p1 -b .kofont
%patch3 -p1 -b .perfprint
%patch4 -p1 -b .freetype

#needed by patch0
autoconf

%build
%configure 

%make


%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std
%{find_lang} %{name}

(cd fonts
%makeinstall_std
)

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gnome/fonts
touch $RPM_BUILD_ROOT%{_sysconfdir}/gnome/fonts/gnome-print-ghostscript.fontmap

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_datadir}/fonts/README.*

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_bindir}/gnome-font-install --smart

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README
%dir %{_sysconfdir}/gnome/fonts
%ghost %config(noreplace) %{_sysconfdir}/gnome/fonts/*
%{_bindir}/*
%dir %{_datadir}/fonts/afms
%{_datadir}/fonts/afms/adobe
%{_datadir}/gnome/fonts
%dir %{_datadir}/gnome-print
%dir %{_datadir}/gnome-print/profiles
%config(noreplace) %{_datadir}/gnome-print/profiles/*

%files -n %{lib_name}
%defattr(-, root, root)
%{_libdir}/lib*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.sh
%{_includedir}/gnome-1.0/*


%changelog
* Mon Oct 30 2006 Texstar <texstar@houston.rr.com>
- Build for PCLinuxOS 2007
